/* XSORT FILTERS (BEM block: filter)
----------------------------------------------- */
.catalog__filters {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin-bottom: 15px;
  user-select: none;
}

.filter {
  position: relative;
  height: 30px;
  padding: 0 10px;
  line-height: 30px;
  background: var(--accent);
  border-radius: 3px;
  box-sizing: content-box;
}

.filter:hover {
  box-shadow: 0 0 0 2px rgba(0, 0, 0, 0.2);
}

.filter--active {
  box-shadow: 0 0 0 2px #ffb114;
}

.filter__toggle {
  position: relative;
  padding-right: 15px;
  color: inherit;
  font: inherit;
  line-height: inherit;
  text-shadow: 1px 1px 2px #000;
  cursor: pointer;
}

.filter__toggle::after {
  content: '';
  position: absolute;
  top: 50%;
  right: 0;
  margin-top: -2px;
  border: 4px solid transparent;
  border-top-color: #777;
}

.filter__sort--asc,
.filter__sort--desc,
.filter__option--asc,
.filter__option--desc {
  background-repeat: no-repeat;
  background-position: 0 50%;
}

.filter__sort--asc,
.filter__option--asc {
  padding-left: 10px;
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAcAAAAICAQAAACfDS2NAAAAHklEQVQYV2NgAIO0/xAaygFBFA5UAMGBq0BRTDwXAPWMJw0b8PLnAAAAAElFTkSuQmCC);
}

.filter__sort--desc,
.filter__option--desc {
  padding-left: 10px;
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAcAAAAICAQAAACfDS2NAAAAIElEQVQY02NgYGBgSPsPggwwQDQXwoRBFAHsekECEBoASUcnDSh9+RUAAAAASUVORK5CYII=);
}

.filter__list {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 999;
  min-width: 100%;
  max-height: 400px;
  margin: 0;
  padding: 0;
  overflow: auto;
  list-style: none;
  background: var(--ui-bg);
  border: 1px solid var(--bdc);
  border-radius: 5px;
  box-shadow: 0 0 0 3px rgba(0, 0, 0, 0.25);
  box-sizing: content-box;
}

.filter__option {
  display: block;
  padding: 0 35px 0 18px;
  line-height: 30px;
  font-weight: 600;
  color: var(--tt-lighter);
  white-space: nowrap;
  cursor: pointer;
  border-bottom: 1px solid var(--bdc);
}

.filter__option:last-child {
  border-bottom: 0;
}

.filter__option--current {
  position: relative;
  font-weight: 700;
  color: #fff;
  background: var(--bg-darker);
}

.filter__option--current::after {
  content: '';
  position: absolute;
  top: 0;
  right: 5px;
  bottom: 0;
  width: 5px;
  background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAUAAAAFCAQAAAAnZu5uAAAAJUlEQVQY01XIMQEAIAwDsDivroGe6Sg3OQNxBGLVCldVzbfECA+g/g9v8ooTNAAAAABJRU5ErkJggg==) no-repeat 50% 50%;
}

.filter__option:hover {
  color: #fff;
  background: var(--bg-lighter);
}

.filter__option--asc,
.filter__option--desc {
  background-position: 6px 50%;
}

.filter--settings,
.filter--clear {
  width: 32px;
  padding: 0;
  background-repeat: no-repeat;
  background-position: 50% 50%;
  cursor: pointer;
}

.filter--settings {
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAQAAAC1+jfqAAAAvklEQVR42o3KsUqCYRiA0RPVZg6Fg2NgU0ME7g0KTg0SLtHaFYQ0VjRFDUGjEAhBi1vQ1Fx2BVJ4Aa4FQWT6tn38llTnWR//t+7MjY6mgh9mXYjUi4ZvzoVnDUXL9r35VJWxaqxvEcCGkSczkmNhR1ZHKEuuhZKsPWFbcimsyToS6pJd4YRkTs9IUZIzMLQFmNcSbk2oeBfuHDrVF8KHugllj0IIQ23daQsrNtUsIe9BWqbLuxde/WLBlQN/+wLDfD9iwnIihwAAAABJRU5ErkJggg==);
}

.filter--clear {
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAAPCAQAAACR313BAAAAKklEQVQoz2NgGATA4L/Bf3QWmrTBfwSNQwEOSWQT8EjiNRqnCQRcPgAAAG+mJxC7ICdhAAAAAElFTkSuQmCC);
}

.filter__empty {
  margin-top: 15px;
  padding: 15px;
  color: var(--tt);
  text-align: center;
  background: var(--bg-darker);
  border: 1px solid var(--bdc);
  border-radius: 3px;
  box-shadow: 0 2px 7px rgba(0, 0, 0, 0.2);
}

/* Admin dialog (group=1, optional xsort banner)
----------------------------------------------- */
.filter-admin {
  display: none;
}

.filter-admin__area {
  padding: 0 0 0 210px;
}

.filter-admin__area::after {
  content: '';
  display: block;
  clear: both;
}

.filter-admin__nav {
  float: left;
  width: 200px;
  margin: 0 0 0 -210px;
  padding: 0;
  list-style: none;
  border-right: 1px solid var(--bdc);
}

.filter-admin__nav--loading {
  background: url(data:image/gif;base64,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) no-repeat 50% 50%;
}

.filter-admin__nav-item {
  display: block;
  padding: 1px 0;
  color: #f43;
  cursor: pointer;
}

.filter-admin__nav-item:hover,
.filter-admin__nav-item--current {
  color: #fff;
}

.filter-admin__nav-item--current {
  font-weight: 700;
}

.filter-admin__content {
  margin: 0;
  padding: 7px 0 0;
}

.filter-admin__code {
  display: block;
  max-height: 400px;
  overflow: auto;
}
